// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/components/ui/UIComponent.hpp"

namespace Dawn {
  class UISimpleMenuItem : public SceneItemComponent {
    public:
      StateEvent<> eventHoveredOn;
      StateEvent<> eventHoveredOff;
      StateEvent<> eventSelected;

      // May make these into either state events or make a new event.
      int32_t menuX;
      int32_t menuY;

      UIComponent *uiComponent = nullptr;

      UISimpleMenuItem(SceneItem *item);
      virtual UIComponent * getComponentForHighlighting();
  };
}